LFR-FSW - Bug #184

[JIRA] (RPWMEB-282) Generation period of TM_LFR_SCIENCE_NORMAL_CWF_F3 packets
18/07/2014 12:18 PM - Veronique bouzid
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

It is expected to have one TM_LFR_SCIENCE_NORMAL_CWF_F3 packet produced every 42 seconds.

LFR produces 4 TM_LFR_SCIENCE_NORMAL_CWF_F3 packets every 168 seconds (4 x 42 seconds), with an interval of 10
seconds between each packet.

Could LFR team clarify this point?
For the LFR TM analysis, it should be better to have one TM_LFR_SCIENCE_NORMAL_CWF_F3 packet every 42 seconds.
La reponse de Paul

This is linked to the way the hardware is performing the data acquisition in LFR. We have buffers of 2688 points inside the VHDL
(this is a compromise between several constraints: the size of each individual packet requested by the DAS team, the fact that 4
different frequency snapshots are built at the same time, the fact that snapshots and continuous waveforms are built simultaneously
in several modes...).

Once the buffer is full, an interruption request is raised and the flight software processes the buffer. The time before receiving the first
packet can not be changed, it is 2688/16 for the CWF_F3 products. The time BETWEEN the packets can be changed. At the current
time, it is 10s but we can increase it if is more practical for the DAS.

La reponse de Philippe est OK, this behavior shall be documented in the LFR S/W User Manual.

History

#1 - 18/07/2014 12:31 PM - Veronique bouzid
- Tracker changed from Support to Bug

#2 - 17/09/2014 05:21 PM - bruno katra
- Status changed from New to Closed

- % Done changed from 0 to 100

Bruno : Le user manual a été rédigé pour le datapack de la CDR/TRB R2 et I'explication de Paul a été incluse dedans.
